<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Contact; 

class ContactController extends Controller
{
    //

    public function nouveau() 
    {
        return view('contact.nouveau'); 
    } 
    

    public function store(Request $request) 
    {
        $this->validate($request, [
            'nom' => 'required'
        ]); 
        
        $c = new Contact; 

        $c->nom = $request->nom; 
        $c->prenom = $request->prenom ; 
        $c->titre_civilite = $request->titre_civilite ; 
        $c->poste_fonction = $request->poste_fonction ; 
        $c->adresse = $request->adresse ; 
        $c->pays = $request->pays ; 
        $c->ville = $request->ville ; 
        $c->telephone_pro = $request->telephone_pro ; 
        $c->telephone_perso = $request->telephone_perso;
        $c->email = $request->email;
        $c->ninea = $request->ninea ; 

        $c->save(); 
        return redirect()->route('contact.liste'); 

    }

    public function liste() 
    {
        $contacts = Contact::all();

        return view('contact.liste')->with('contacts', $contacts); 
    } 

    public function details($id) {
        $contact = Contact::find($id); 

        return view('contact.details')->with('contact', $contact);  
    }

    public function modifier($id) 
    {
      
    } 

    public function supprimer($id) 
    {
      
    } 
}
