<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Produit; 
use App\Models\Categorie; 
use App\Models\Entrepot; 
use Auth; 
use DB; 

class ProduitController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // 
        $produits = Produit::all(); 

        return view('produit.liste')->with('produits', $produits); 
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $produits = Produit::all(); 
         
        return view('produit.liste')->with('produits', $produits);
    }

    public function nouveau()
    {
        //
        $categorie = Categorie::all();
        $entrepot = Entrepot::all();  

        return view('produit.nouveau')->with('categorie', $categorie)->with('entrepot', $entrepot);
    } 

    public function details($id) {

        $produit = Produit::find($id); 

        $categorie = Categorie::all();
        $entrepot = Entrepot::all();

        return view('produit.details')->with('produit', $produit)->with('categorie', $categorie)->with('entrepot', $entrepot); 
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
       $request->validate([
           'reference' => 'required', 
           'libelle' => 'required', 
           'prix_vente' => 'required', 
           'prix_vente_min' => 'required', 
           'limite_stock_alert' => 'required', 
           'stock_optimal_desire' => 'required',
           'stock' => 'required'
       ]);

       Produit::create([
           'reference' => $request->reference, 
           'libelle' => $request->libelle,
           'etat_vente' => $request->etat_vente, 
           'etat_achat' => $request->etat_achat, 
           'prix_vente' => $request->prix_vente,
           'description' => $request->description, 
           'entrepot' => $request->entrepot,  
           'limite_stock_alert' => $request->limite_stock_alert, 
           'stock_optimal_desire' => $request->stock_optimal_desire, 
           'nature' => $request->nature,     
           'stock' => $request->stock, 
           'code_sh' => $request->code_sh, 
           'note' => $request->note, 
           'categorie' => $request->categorie, 
           'prix_vente' => $request->prix_vente, 
           'prix_vente_min' => $request->prix_vente_min, 
           'poids' => $request->poids, 
           'poids_unite' => $request->poids_unite, 
           'surface' => $request->surface, 
           'surface_unite' => $request->surface_unite, 
           'longueur' => $request->longueur,
           'largeur' => $request->largeur, 
           'hauteur' => $request->hauteur, 
           'dimension_unite' => $request->dimension_unite, 
           'volume' => $request->volume, 
           'volume_unite' => $request->volume_unite, 
           'utilisateur_ajoute' => Auth::user()->id,
           'utilisateur_modifie' => Auth::user()->id
       ]); 

       return redirect()->route('produit.liste'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
