<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProduitsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('produits', function (Blueprint $table) {
            $table->id();
            $table->string('reference'); 
            $table->string('libelle'); 
            $table->string('etat_vente'); 
            $table->string('etat_achat'); 
            $table->string('description')->default(' ')->nullable(); 
            $table->integer('entrepot')->default(1)->nullable(); 
            $table->integer('limite_stock_alert')->default(0)->nullable(); 
            $table->integer('stock_optimal_desire')->default(0)->nullable(); 
            $table->string('nature')->default(' ')->nullable(); 

            $table->integer('stock'); 

            $table->string('code_sh')->default(' ')->nullable(); 
            //$table->string('pays_origine'); 
            $table->string('note')->default(' ')->nullable(); 
            $table->integer('categorie'); 
            $table->integer('prix_vente'); 
            $table->integer('prix_vente_min'); 

            $table->float('poids')->default(0)->nullable(); 
            $table->string('poids_unite');
            $table->integer('surface')->nullable(); 
            $table->string('surface_unite'); 
            $table->integer('longueur')->default(0)->nullable(); 
            $table->integer('largeur')->default(0)->nullable(); 
            $table->integer('hauteur')->default(0)->nullable(); 
            $table->string('dimension_unite'); 
            $table->integer('volume')->default(0)->nullable(); 
            $table->string('volume_unite'); 

            $table->integer('utilisateur_ajoute'); 
            $table->integer('utilisateur_modifie'); 

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('produits');
    }
}
