@extends('dash') 

@section('section')
<div class="app-main__inner">
    <div class="app-page-title">
        <div class="page-title-wrapper">
            <div class="page-title-heading">
                <div class="page-title-icon">
                    <i class="pe-7s-display1 icon-gradient bg-premium-dark">
                    </i>
                </div>
                <div>Form Controls
                    <div class="page-title-subheading">Wide selection of forms controls, using the Bootstrap 4 code base, but built with React.
                    </div>
                </div>
            </div>
            <div class="page-title-actions">
                <button type="button" data-toggle="tooltip" title="Example Tooltip" data-placement="bottom" class="btn-shadow mr-3 btn btn-dark">
                    <i class="fa fa-star"></i>
                </button>
                <div class="d-inline-block dropdown">
                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info">
                        <span class="btn-icon-wrapper pr-2 opacity-7">
                            <i class="fa fa-business-time fa-w-20"></i>
                        </span>
                        Buttons
                    </button>
                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
                        <ul class="nav flex-column">
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-inbox"></i>
                                    <span>
                                        Inbox
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-secondary">86</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-book"></i>
                                    <span>
                                        Book
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-danger">5</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-picture"></i>
                                    <span>
                                        Picture
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a disabled href="javascript:void(0);" class="nav-link disabled">
                                    <i class="nav-link-icon lnr-file-empty"></i>
                                    <span>
                                        File Disabled
                                    </span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>    </div>
    </div>            <ul class="body-tabs body-tabs-layout tabs-animated body-tabs-animated nav">
        <li class="nav-item">
            <a role="tab" class="nav-link active" id="tab-0" data-toggle="tab" href="#tab-content-0">
                <span>Liste</span>
            </a>
        </li>
        <li class="nav-item">
            <a role="tab" class="nav-link" id="tab-1" data-toggle="tab" href="#tab-content-1">
                <span>Nouveau</span>
            </a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane tabs-animation fade show active" id="tab-content-0" role="tabpanel">
            <div class="row">
                <div class="col-md-12">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Liste des Produits</h5>
                            <table class="table table-striped">
                            <thead>
                                <th>Référence</th>
                                <th>Libellé</th>
                                <th>prix de vente </th>
                                <th>Meilleur prix d'achat</th>
                                <th>Stock désiré optimal</th>
                                <th>Stock physique </th>
                                <th>État (Vente) </th>
                                <th>État (Achat) </th>
                            </thead>

                            <tbody id="tbody">
                                <tr>
                                    <td colspan="8" class="text-center"> Stock vide !</td>
                                </tr>                                          
                            </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tab-pane tabs-animation fade" id="tab-content-1" role="tabpanel">
            <form  method="post" action="{{ route('produit.store') }}">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="row">
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Information de base</h5>
                                
                            <div class="position-relative form-group">
                                <label for="reference" class="">Référence</label>
                                <input name="reference" placeholder="" type="text" class="form-control" value="{{ old('reference') }}">
                            </div>
                            <div class="position-relative form-group">
                                <label for="libelle" class="">Libellé</label>
                                <input name="libelle" id="libelle" placeholder="" type="text" class="form-control" value="{{ old('libelle') }}">
                            </div>
                            <div class="position-relative form-group">
                                <label for="categorie" class="">Tags/Categories</label>
                                <select name="categorie" id="categorie" class="form-control">
                                    <option>m</option>
                                    
                                </select>
                            </div> 
                                                        
                            <div class="position-relative form-group">
                                <label for="etat_vente" class="">Etat(Vente)</label>
                                <select name="etat_vente" id="etat_vente" class="form-control">
                                    <option>En vente</option>
                                    <option>Hors Vente</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="etat_achat" class="">Etat(Achat)</label>
                                <select name="etat_achat" id="etat_achat" class="form-control">
                                    <option>En Achat</option>
                                    <option>Hors Achat</option>
                                </select>
                            </div>
                            <div class="position-relative form-group">
                                <label for="prix_vente" class="">Prix de vente </label>
                                <input name="prix_vente" id="prix_vente" placeholder="" type="text" class="form-control" value="{{ old('prix_vente') }}">
                            </div> 

                            <div class="position-relative form-group">
                                <label for="prix_vente_min" class="">Prix de vente min. </label>
                                <input name="prix_vente_min" id="prix_vente_min" placeholder="" type="text" class="form-control" value="{{ old('prix_vente_min') }}">
                            </div> 
                            <div class="position-relative form-group">
                                <label for="description" class="">Description</label>
                                <textarea name="description" id="description" class="form-control"></textarea>
                            </div> 
                            
                        </div>
                    </div>
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">caractéristiques</h5>
                            
                            
                            <div class="position-relative form-group">
                                <label for="examplePassword" class="">Poids</label>
                                <input name="poids_nbre" id="poids_nbre" placeholder="" type="text" class="form-control">
                                <select name="poid_unite" id="poids_unite" class="form-control">
                                    <option>tonnes</option>
                                    <option>kg</option>
                                    <option>g</option>
                                    <option>mg</option>
                                </select>
                            </div>


                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Longueur x Largeur x hauteur </label>
                                <input name="longueur" id="longueur" placeholder="Longueur" type="text" class="form-control">
                                <input name="largeur" id="largeur" placeholder="Largeur" type="text" class="form-control">
                                <input name="hauteur" id="hauteur" placeholder="Hauteur" type="text" class="form-control">
                                <select name="llh_unite" id="exampleSelect" class="form-control">
                                    <option>m</option>
                                    <option>dm</option>
                                    <option>cm</option>
                                    <option>mm</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Surface </label>
                                <input name="surface_nbre" id="surface_nbre" placeholder="" type="text" class="form-control">
            
                                <select name="surface_unite" id="exampleSelect" class="form-control">
                                    <option>m</option>
                                    <option>dm</option>
                                    <option>cm</option>
                                    <option>mm</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Volume</label>
                                <input name="volume_nbre" id="volume_nbre" placeholder="" type="text" class="form-control">
            
                                <select name="volume_unite" id="volume_unite" class="form-control">
                                    <option>m</option>
                                    <option>dm</option>
                                    <option>cm</option>
                                    <option>mm</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Autres Informations</h5>
                            <div class="position-relative form-group">
                                <label for="entrepot" class="">Entrepot</label>
                                <select name="entrepot" id="entrepot" class="form-control">
                                    <option> </option>
                                    <option>Bureau</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="limite_stock_alert" class="">Limite stock pour alerte</label>
                                <input name="limite_stock_alert" id="limite_stock_alert" placeholder="" type="ref" class="form-control">
                            </div>

                            <div class="position-relative form-group">
                                <label for="stock_optimal_desire" class="">Stock optimal desire</label>
                                <input name="stock_optimal_desire" id="stock_optimal_desire" placeholder="" type="text" class="form-control">
                            </div>

                            <div class="position-relative form-group">
                                <label for="nature" class="">Nature du produit (matière première / produit fini) </label>
                                <select name="nature" id="nature" class="form-control">
                                    <option>Produit Manufacturé </option>
                                    <option>Matiere première</option>
                                </select>
                            </div>
                            <div class="position-relative form-group">
                                <label for="nomenclature_douaniere" class="">Nomenclature douanière / Code SH</label>
                                <input name="nomenclature_douaniere" id="examnomenclature_douaniere" placeholder="" type="text" class="form-control">
                            </div> 
                        </div>
                    </div>
                </div>
            </div> 
            <div class="row"> 
                <div class="col-md-12 text-center">
                    <input type="submit" class="btn btn-success btn-lg" value="Enregistrer"/>
                </div>
            </div>
        </div>
        </form>
    </div> 
</div> 
@endsection 