
@extends('dash') 

@section('section')
<div class="app-main__inner">
    <div class="app-page-title">
        <div class="page-title-wrapper">
            <div class="page-title-heading">
                <div class="page-title-icon">
                    <i class="pe-7s-display1 icon-gradient bg-premium-dark">
                    </i>
                </div>
                <div>NOUVEAU PRODUIT
                    <div class="page-title-subheading">Veuillez remplir ces champs pour enregistrer un nouveau produit. 
                    <p> <span style="color: #c0392b">*</span> Champs obligatoires </p> 
                    </div>
                </div>
            </div>
            <div class="page-title-actions">
                <button type="button" data-toggle="tooltip" title="Example Tooltip" data-placement="bottom" class="btn-shadow mr-3 btn btn-dark">
                    <i class="fa fa-star"></i>
                </button>
                <div class="d-inline-block dropdown">
                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info">
                        <span class="btn-icon-wrapper pr-2 opacity-7">
                            <i class="fa fa-business-time fa-w-20"></i>
                        </span>
                        Buttons
                    </button>
                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
                        <ul class="nav flex-column">
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-inbox"></i>
                                    <span>
                                        Inbox
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-secondary">86</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-book"></i>
                                    <span>
                                        Book
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-danger">5</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-picture"></i>
                                    <span>
                                        Picture
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a disabled href="javascript:void(0);" class="nav-link disabled">
                                    <i class="nav-link-icon lnr-file-empty"></i>
                                    <span>
                                        File Disabled
                                    </span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>    </div>
    </div>            
  
            <form  method="post" action="{{ route('produit.store') }}">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="row">
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Information de base</h5>
                                
                            <div class="position-relative form-group">
                                <label for="reference" class="">Référence <span style="color: #c0392b">*</span> </label>
                                <input name="reference" id="reference" placeholder="" type="text" class="form-control" value="{{ old('reference') }}">
                                @if($errors->has('reference'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('reference') }}
                                    </div>
                                @endif
                            </div>
                            <div class="position-relative form-group">
                                <label for="libelle" class="">Libellé <span style="color: #c0392b">*</span></label>
                                <input name="libelle" id="libelle" placeholder="" type="text" class="form-control" value="{{ old('libelle') }}">
                                @if($errors->has('libelle'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('libelle') }}
                                    </div>
                                @endif
                            </div>
                            <div class="position-relative form-group">
                                <label for="categorie" class="">Tags/Categories</label>
                                <select name="categorie" id="categorie" class="form-control">
                                    @foreach($categorie as $c)
                                        <option value="{{ $c->id }}">{{ $c->libelle }}</option>
                                    @endforeach
                                </select>
                            </div> 
                                                        
                            <div class="position-relative form-group">
                                <label for="etat_vente" class="">Etat(Vente)</label>
                                <select name="etat_vente" id="etat_vente" class="form-control">
                                    <option>En vente</option>
                                    <option>Hors Vente</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="etat_achat" class="">Etat(Achat)</label>
                                <select name="etat_achat" id="etat_achat" class="form-control">
                                    <option>En Achat</option>
                                    <option>Hors Achat</option>
                                </select>
                            </div>
                            <div class="position-relative form-group">
                                <label for="prix_vente" class="">Prix de vente <span style="color: #c0392b">*</span></label>
                                <input name="prix_vente" id="prix_vente" placeholder="" type="text" class="form-control" value="{{ old('prix_vente') }}">
                                @if($errors->has('prix_vente'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('prix_vente') }}
                                    </div>
                                @endif
                            </div> 

                            <div class="position-relative form-group">
                                <label for="prix_vente_min" class="">Prix de vente min. <span style="color: #c0392b">*</span></label>
                                <input name="prix_vente_min" id="prix_vente_min" placeholder="" type="text" class="form-control" value="{{ old('prix_vente_min') }}">
                                @if($errors->has('prix_vente_min'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('prix_vente_min') }}
                                    </div>
                                @endif
                            </div> 
                            <div class="position-relative form-group">
                                <label for="prix_vente_min" class="">Stock <span style="color: #c0392b">*</span></label>
                                <input name="stock" id="stock" placeholder="" type="text" class="form-control" value="{{ old('stock') }}">
                                @if($errors->has('stock'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('stock') }}
                                    </div>
                                @endif
                            </div> 
                            <div class="position-relative form-group">
                                <label for="description" class="">Description</label>
                                <textarea name="description" id="description" class="form-control" value="{{ old('description') }}"></textarea>
                            </div> 
                            
                        </div>
                    </div>
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">caracteristiques</h5>
                            
                            
                            <div class="position-relative form-group">
                                <label for="examplePassword" class="">Poids</label>
                                <input name="poids" id="poids" placeholder="" type="text" class="form-control" value="{{ old('poids') }}">
                                <select name="poids_unite" id="poids_unite" class="form-control">
                                    <option>tonnes</option>
                                    <option>kg</option>
                                    <option>g</option>
                                    <option>mg</option>
                                </select>
                            </div>


                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Longueur x Largeur x hauteur </label>
                                <input name="longueur" id="longueur" placeholder="Longueur" type="text" class="form-control">
                                <input name="largeur" id="largeur" placeholder="Largeur" type="text" class="form-control">
                                <input name="hauteur" id="hauteur" placeholder="Hauteur" type="text" class="form-control">
                                <select name="dimension_unite" id="exampleSelect" class="form-control">
                                    <option>m</option>
                                    <option>dm</option>
                                    <option>cm</option>
                                    <option>mm</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Surface </label>
                                <input name="surface" id="surface" placeholder="" type="text" class="form-control">
            
                                <select name="surface_unite" id="exampleSelect" class="form-control">
                                    <option>m²</option>
                                    <option>dm²</option>
                                    <option>cm²</option>
                                    <option>mm²</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="exampleSelect" class="">Volume</label>
                                <input name="volume" id="volume" placeholder="" type="text" class="form-control">
            
                                <select name="volume_unite" id="volume_unite" class="form-control">
                                    <option value="m">m</option>
                                    <option>dm</option>
                                    <option>cm</option>
                                    <option>mm</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Autres Informations</h5>
                            <div class="position-relative form-group">
                                <label for="entrepot" class="">Entrepot</label>
                                <select name="entrepot" id="entrepot" class="form-control">
                                    @foreach($entrepot as $e)
                                        <option value="{{$e->id}}"> {{ $e->reference }} </option>
                                    @endforeach
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="limite_stock_alert" class="">Limite stock pour alerte <span style="color: #c0392b">*</span></label>
                                <input name="limite_stock_alert" id="limite_stock_alert" placeholder="" type="text" class="form-control" value="{{ old('limite_stock_alert') }}">
                                @if($errors->has('limite_stock_alert'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('limite_stock_alert') }}
                                    </div>
                                @endif
                            </div>

                            <div class="position-relative form-group">
                                <label for="stock_optimal_desire" class="">Stock optimal désiré <span style="color: #c0392b">*</span></label>
                                <input name="stock_optimal_desire" id="stock_optimal_desire" placeholder="" type="text" class="form-control" value="{{ old('stock_optimal_desire') }}">
                                @if($errors->has('stock_optimal_desire'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('stock_optimal_desire') }}
                                    </div>
                                @endif
                            </div>

                            <div class="position-relative form-group">
                                <label for="nature" class="">Nature du produit (matière première / produit fini) </label>
                                <select name="nature" id="nature" class="form-control">
                                    <option>Produit Manufacturé </option>
                                    <option>Matiere première</option>
                                </select>
                            </div>
                            <div class="position-relative form-group">
                                <label for="nomenclature_douaniere" class="">Nomenclature douanière / Code SH</label>
                                <input name="nomenclature_douaniere" id="examnomenclature_douaniere" placeholder="" type="text" class="form-control">
                            </div> 
                        </div>
                    </div>
                </div>
            </div> 
            <div class="row"> 
                <div class="col-md-12 text-center">
                    <input type="submit" class="btn btn-success btn-lg" value="Enregistrer"/>
                </div>
     
        </form>
    </div> 
</div> 
@stop