
@extends('dash') 

@section('section')
<div class="app-main__inner">
    <div class="app-page-title">
        <div class="page-title-wrapper">
            <div class="page-title-heading">
                <div class="page-title-icon">
                    <i class="pe-7s-display1 icon-gradient bg-premium-dark">
                    </i>
                </div>
                <div>NOUVEAU TIERS
                    <div class="page-title-subheading">Veuillez remplir ces champs pour enregistrer un nouveau tiers. 
                    <p> <span style="color: #c0392b">*</span> Champs obligatoires </p> 
                    </div>
                </div>
            </div>
            <div class="page-title-actions">
                <button type="button" data-toggle="tooltip" title="Example Tooltip" data-placement="bottom" class="btn-shadow mr-3 btn btn-dark">
                    <i class="fa fa-star"></i>
                </button>
                <div class="d-inline-block dropdown">
                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info">
                        <span class="btn-icon-wrapper pr-2 opacity-7">
                            <i class="fa fa-business-time fa-w-20"></i>
                        </span>
                        Buttons
                    </button>
                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right">
                        <ul class="nav flex-column">
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-inbox"></i>
                                    <span>
                                        Inbox
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-secondary">86</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-book"></i>
                                    <span>
                                        Book
                                    </span>
                                    <div class="ml-auto badge badge-pill badge-danger">5</div>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="javascript:void(0);" class="nav-link">
                                    <i class="nav-link-icon lnr-picture"></i>
                                    <span>
                                        Picture
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a disabled href="javascript:void(0);" class="nav-link disabled">
                                    <i class="nav-link-icon lnr-file-empty"></i>
                                    <span>
                                        File Disabled
                                    </span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>    </div>
    </div>            
  
            <form  method="post" action="{{ route('tiers.store') }}">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
            <div class="row">
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Information de base</h5>
                                
                            <div class="position-relative form-group">
                                <label for="nom" class="">Nom <span style="color: #c0392b">*</span> </label>
                                <input name="nom" id="nom" placeholder="" type="text" class="form-control" value="{{ old('nom') }}">
                                @if($errors->has('nom'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('nom') }}
                                    </div>
                                @endif
                            </div>
                            <div class="position-relative form-group">
                                <label for="nom_alt" class="">Nom alternatif (commercial, marque, ...)</label>
                                <input name="nom_alt" id="nom_alt" placeholder="" type="text" class="form-control" value="{{ old('nom_alt') }}">
                                @if($errors->has('nom_alt'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('nom_alt') }}
                                    </div>
                                @endif
                            </div>

                            <div class="position-relative form-group">
                                <label for="categorie" class="">Catégorie (Client, Prospect, Fournisseur, ...)</label>
                                <select name="categorie" id="categorie" class="form-control">
                                    <option>Client</option>
                                    <option>Prospect</option>
                                    <option>Fournisseur</option>
                                    <option>Prospect/Client</option>
                                    <option>Ni prospect, ni client</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="etat" class="">Etat</label>
                                <select name="etat" id="etat" class="form-control">
                                    <option>Ouvert</option>
                                    <option>Fermé</option>
                                </select>
                            </div> 
                        </div>
                    </div>
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Autres Informations</h5>
                           
                            <div class="position-relative form-group">
                                <label for="tva" class="">Assujeti à la tva</label>
                                <select name="tva" id="tva" class="form-control">
                                    <option>Oui</option>
                                    <option>Non</option>
                                </select>
                            </div> 
                            <div class="position-relative form-group">
                                <label for="type_tiers" class="">Type du tiers</label>
                                <select name="type_tiers" id="type_tiers" class="form-control">
                                    <option></option>
                                    <option>Administration</option>
                                    <option>PME/PMI</option>
                                    <option>Grand compte</option>
                                    <option>Particulier</option>
                                    <option>TPE</option>
                                    <option>Autres</option>
                                </select>
                            </div> 

                            <div class="position-relative form-group">
                                <label for="capital" class="">Capital (FCFA)</label>
                                <input name="capital" id="capital" placeholder="" type="text" class="form-control" value="{{ old('capital') }}">
                                @if($errors->has('capital'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('capital') }}
                                    </div>
                                @endif
                            </div> 
                            <div class="position-relative form-group">
                                <label for="comercial" class="">Affecter à un commercial</label>
                                <input name="comercial" id="comercial" class="form-control" value="{{ old('comercial') }}" />
                            </div> 
                            <div class="position-relative form-group">
                                <label for="ninea" class="">Ninea</label>
                                <input name="ninea" id="ninea" class="form-control" value="{{ old('ninea') }}" />
                            </div> 
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="main-card mb-3 card">
                        <div class="card-body"><h5 class="card-title">Coordonnées</h5>
                            <div class="position-relative form-group">
                                <label for="email" class="">Email</label>
                                <input name="email" id="email" placeholder="" type="text" class="form-control" value="{{ old('email') }}">
                                @if($errors->has('email'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('email') }}
                                    </div>
                                @endif
                            </div>

                            <div class="position-relative form-group">
                                <label for="web" class="">Site web</label>
                                <input name="web" id="web" placeholder="" type="text" class="form-control" value="{{ old('web') }}">
                                @if($errors->has('web'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('web') }}
                                    </div>
                                @endif
                            </div>

                            <div class="position-relative form-group">
                                <label for="telephone" class="">Téléphone</label>
                                <input name="telephone" id="telephone" placeholder="" type="text" class="form-control" value="{{ old('telephone') }}">
                                @if($errors->has('telephone'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('telephone') }}
                                    </div>
                                @endif
                            </div>
                            <div class="position-relative form-group">
                                <label for="adresse" class="">Adresse</label>
                                <input name="adresse" id="adresse" placeholder="" type="text" class="form-control" value="{{ old('adresse') }}">
                                @if($errors->has('adresse'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('adresse') }}
                                    </div>
                                @endif
                            </div> 
                            <div class="position-relative form-group">
                                <label for="ville" class="">Ville</label>
                                <input name="ville" id="ville" placeholder="" type="text" class="form-control" value="{{ old('ville') }}">
                                @if($errors->has('ville'))
                                    <div class="text-center text-danger">
                                    {{ $errors->first('ville') }}
                                    </div>
                                @endif
                            </div> 
                            <div class="position-relative form-group">
                                <label for="pays" class="">Pays</label>
                                <select name="pays" id="pays" class="form-control">
                                    <option>Sénégal (SN) </option>
                                </select>
                            </div> 
                        </div>
                    </div>
                </div>
            </div> 
            <div class="row"> 
                <div class="col-md-12 text-center">
                    <input type="submit" class="btn btn-success btn-lg" value="Enregistrer"/>
                </div>
     
        </form>
    </div> 
</div> 
@stop