<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});
/* 
Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('index');
})->name('dashboard');

*/ 

    // Middleware 
Route::middleware(['auth:sanctum', 'verified'])->group( function () {

    // Dashboard
        Route::get('/dashboard', function () {
            return view('index');
        })->name('dashboard'); 

    /** PRODUITS  */
    
    Route::resource('produit', 'App\Http\Controllers\ProduitController');

    Route::get('/produit-nouveau', [
        'uses' => 'App\Http\Controllers\ProduitController@nouveau',
         'as' => 'produit.nouveau'
    ]); 

    Route::get('/produit-details-{id}', [
        'uses' => 'App\Http\Controllers\ProduitController@details', 
        'as' => 'produit.details'
    ]); 

    /** CATEGORIE */

    Route::get('/categorie', [
        'uses' => 'App\Http\Controllers\CategorieController@nouveau',
        'as' => 'categorie.nouveau'
    ]); 

    Route::post('/categorie-store', [
        'uses' => 'App\Http\Controllers\CategorieController@store',
        'as' => 'categorie.store'
    ]); 
    
    Route::get('/categorie-liste', [
        'uses' => 'App\Http\Controllers\CategorieController@liste',
        'as' => 'categorie.liste'
    ]); 

    Route::post('/categorie-modifier', [
        'uses' => 'App\Http\Controllers\CategorieController@modifer', 
        'as' => 'categorie.modifier'
    ]); 

    
    Route::post('/categorie-supprimer-{id}', [
        'uses' => 'App\Http\Controllers\CategorieController@supprimer', 
        'as' => 'categorie.supprimer'
    ]); 

        // ENTREPOT 
    Route::get('/entrepot-nouveau', [
        'uses' => 'App\Http\Controllers\EntrepotController@nouveau',
        'as' => 'entrepot.nouveau'
    ]); 
    
    Route::post('/entrepot-store', [
        'uses' => 'App\Http\Controllers\EntrepotController@store',
        'as' => 'entrepot.store'
    ]); 

    Route::get('/entrepot-details-{id}', [
        'uses' => 'App\Http\Controllers\EntrepotController@details', 
        'as' => 'entrepot.details'
    ]); 

    Route::get('/entrepot-liste', [
        'uses' => 'App\Http\Controllers\EntrepotController@liste',
        'as' => 'entrepot.liste'
    ]); 

        // TIERS 
    
    Route::get('/tiers-nouveau', [
        'uses' => 'App\Http\Controllers\TiersController@nouveau',
            'as' => 'tiers.nouveau'
    ]); 

    Route::get('/tiers-details-{id}', [
        'uses' => 'App\Http\Controllers\TiersController@details', 
        'as' => 'tiers.details'
    ]); 

    Route::post('/tiers-store', [
        'uses' => 'App\Http\Controllers\TiersController@store',
        'as' => 'tiers.store'
    ]);  

    Route::get('/tiers-liste', [
        'uses' => 'App\Http\Controllers\TiersController@liste',
        'as' => 'tiers.liste'
    ]); 

        // Contacts 
     
    Route::get('/contact-nouveau', [
        'uses' => 'App\Http\Controllers\ContactController@nouveau',
            'as' => 'contact.nouveau'
    ]); 

    Route::post('/contact-store', [
        'uses' => 'App\Http\Controllers\ContactController@store',
        'as' => 'contact.store'
    ]);  

    Route::get('/contact-liste', [
        'uses' => 'App\Http\Controllers\ContactController@liste',
        'as' => 'contact.liste'
    ]); 

    Route::get('/contact-details-{id}', [
        'uses' => 'App\Http\Controllers\ContactController@details', 
        'as' => 'contact.details'
    ]); 

        // Commercial 
    
    Route::get('/commercial-nouveau', [
        'uses' => 'App\Http\Controllers\CommercialController@nouveau', 
        'as' => 'commercial.nouveau'
    ]); 

    Route::post('/commercial-store', [
        'uses' => 'App\Http\Controllers\CommercialController@store',
        'as' => 'commercial.store'
    ]); 

    Route::get('/commercial-liste', [
        'uses' => 'App\Http\Controllers\CommercialController@liste',
        'as' => 'commercial.liste'
    ]); 

    Route::get('/commercial-details', [
        'uses' => 'App\Controllers\CommercialControllers@details',
        'as' => 'commercial.details'
    ]); 

});

  